import { DependencyList, Reducer, IFiber, Dispatch, SetStateAction, EffectCallback, RefObject } from "./type";
export declare const resetCursor: () => void;
export declare const useState: <T>(initState: T) => [T, Dispatch<SetStateAction<T>>];
export declare const useReducer: <S, A>(reducer?: Reducer<S, A>, initState?: S) => [S, Dispatch<A>];
export declare const useEffect: (cb: EffectCallback, deps?: DependencyList) => void;
export declare const useLayout: (cb: EffectCallback, deps?: DependencyList) => void;
export declare const useMemo: <S = Function>(cb: () => S, deps?: DependencyList) => S;
export declare const useCallback: <T extends (...args: any[]) => void>(cb: T, deps?: DependencyList) => T;
export declare const useRef: <T>(current: T) => RefObject<T>;
export declare const getHook: <S = Function, Dependency = any>(cursor: number) => [[S, Dependency], IFiber<any>];
export declare const isChanged: (a: DependencyList, b: DependencyList) => boolean;
